org.apache.hc.client5.http.entity.mime

## Enum HttpMultipartMode

- java.lang.Object
- - java.lang.Enum<HttpMultipartMode>
  - - org.apache.hc.client5.http.entity.mime.HttpMultipartMode

All Implemented Interfaces:
  Serializable, Comparable<HttpMultipartMode>

    public enum HttpMultipartMode
    extends Enum<HttpMultipartMode>

MIME compliance mode.

Since:
  4.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXTENDED` Extended MIME specification conformance.
`LEGACY` Legacy compatibility mode.
`STRICT` Strict MIME specification conformance.

### Method Summary

Methods
`static HttpMultipartMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HttpMultipartMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEGACY

    public static final HttpMultipartMode LEGACY

Legacy compatibility mode.

In this mode only the most essential fields are generated such as Content-Type and Content-Disposition.

#### STRICT

    public static final HttpMultipartMode STRICT

Strict MIME specification conformance.

Presently conforms to RFC 822, RFC 2045, RFC 2046.

#### EXTENDED

    public static final HttpMultipartMode EXTENDED

Extended MIME specification conformance.

In this mode header field values may contain international UTF-8 encoded characters.

Presently conforms to RFC 6532 and RFC 7578.

### Method Detail

#### values

    public static HttpMultipartMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HttpMultipartMode c : HttpMultipartMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HttpMultipartMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null